Subject: Re: Bugs in SetEnv and UnsetEnv

From: Dominik Vogt <[email-masked]>
Date: Mon, 2 Jun 2003 12:01:16 +0200

On Fri, May 30, 2003 at 03:55:56PM +0000, Mikhael Goikhman wrote:
> On 30 May 2003 09:38:19 +0200, Dominik Vogt wrote:
> > 
> > On Thu, May 29, 2003 at 10:23:48PM +0000, Mikhael Goikhman wrote:
> > > I would like to get some feedback before I try to resolve these bugs.
> > > These are in both 2.4.x and 2.5.x.
> > > 
> > > 1) 'UnsetEnv VARNAME' does not work, the variable is not unset, instead
> > >    it gets an empty value "". The fix is obvious, putenv should be called
> > >    with "VARNAME" not "VARNAME=".
> > 
> > Should be easy to fix without side effects.
> 
> As you said in another message, it's not so easy. Probably we should try
> both putenv("VARNAME=") and putenv("VARNAME"). Should wait for now.
> 
> > > 2) It is documented that 'SetEnv VARNAME' works like 'UnsetEnv VARNAME'.
> > >    I don't very like such (mis)usage of SetEnv, but this is what we have.
> > >    Anyway, this does not work. 'SetEnv VARNAME' is just ignored, because
> > >    I believe the action string is already destroyed when CMD_UnsetEnv is
> > >    called.
> > 
> > If it does not work anyway, we should remove that section from the
> > man page.
> 
> Done.
> 
> > > 3) 'SetEnv VARNAME ""' does not work as expected, it is ignored.
> > >    It seems that GetNextToken is bad at parsing an empty quoted string.
> > 
> > Should be fixed.
> 
> I am more like to fall into the birthday mood instead of starting to fix
> such central function like GetNextToken before the release. So it should
> wait too. Not critical especially that this maybe currently emulated
> by 'UnsetEnv VARNAME', i.e. bug number 1. :)

"Should be fixed" != "Should be fixed before the birthday" :-)

Bye

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]